curl --request GET \
--url https://api.invopop.com/silo/v1/entries/key/{key} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/silo/v1/entries/key/{key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/silo/v1/entries/key/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attachments": [
{
"category": "version",
"created_at": "2018-01-01T00:00:00.000Z",
"desc": "Invoice for January 2021.",
"embeddable": true,
"entry_id": "347c5b04-cde2-11ed-afa1-0242ac120002",
"hash": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6",
"id": "<string>",
"key": "pdf",
"meta": {},
"mime": "application/pdf",
"name": "invoice.pdf",
"previous": [
{
"created_at": "2018-01-01T00:00:00.000Z",
"hash": "<string>",
"id": "<string>",
"size": 123
}
],
"private": true,
"size": 12345,
"stored": true,
"url": "<string>"
}
],
"context": "line.item",
"created_at": "2018-01-01T00:00:00.000Z",
"data": {},
"digest": {
"alg": "<string>",
"val": "<string>"
},
"doc_schema": "https://gobl.org/draft-0/bill/invoice",
"draft": true,
"env_schema": "https://gobl.org/draft-0/envelope",
"faults": [
{
"code": "<string>",
"message": "<string>",
"paths": [
"<string>"
],
"provider": "pdf"
}
],
"folder": "sales",
"id": "347c5b04-cde2-11ed-afa1-0242ac120002",
"invalid": true,
"key": "invoice-101",
"meta": [
{
"created_at": "2018-01-01T00:00:00.000Z",
"entry_id": "347c5b04-cde2-11ed-afa1-0242ac120002",
"id": "347c5b04-cde2-11ed-afa1-0242ac120002:source:key",
"indexed": true,
"key": "service-id",
"link_scope": "public",
"link_url": "https://example.com/info",
"owned": true,
"owner_id": "<string>",
"ref": "<string>",
"secure": true,
"shared": true,
"src": "source",
"updated_at": "2018-01-01T00:00:00.000Z",
"value": {
"key": "value"
}
}
],
"signed": true,
"snippet": {
"title": "Sample Title"
},
"state": "sent",
"tags": [
"<string>"
],
"updated_at": "2018-01-01T00:00:00.000Z",
"version": "76f845c125",
"versions": [
{
"at": "2018-01-01T00:00:00.000Z",
"invalid": true,
"signed": true,
"src": "api",
"src_id": "<string>",
"version": "76f845c125"
}
]
}Fetch an entry by key
Fetch an existing silo entry by its key.
Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>
Path Parameters
Key used to identify the entry idempotently within a workspace.
"invoice-101"
Response
OK
List of files for this entry.
Show child attributes
Show child attributes
When entry provided within a related query, this is the context within the document.
"line.item"
The date and time the silo entry was created.
"2018-01-01T00:00:00.000Z"
JSON envelope contents. Included when fetching, creating or updating an entry and in entry lists.
Show child attributes
Show child attributes
Schema URL for the envelope's payload.
"https://gobl.org/draft-0/bill/invoice"
Deprecated. When true, indicates that the envelope is not signed.
true
Schema URL for the envelope.
"https://gobl.org/draft-0/envelope"
List of faults that occurred during the processing of the job associated with the last state.
Show child attributes
Show child attributes
Key for the folder where the entry is located.
"sales"
UUID of the silo entry.
"347c5b04-cde2-11ed-afa1-0242ac120002"
When true, the envelope's contents are invalid and need to be reviewed.
true
Key used to identify the entry idempotently within a workspace.
"invoice-101"
Additional meta fields associated with the entry.
Show child attributes
Show child attributes
When true, the envelope has been signed and should not be modified.
true
JSON object containing a snippet of the document.
{ "title": "Sample Title" }
Current state of the silo entry if not a draft.
"sent"
Copy of tags stored in the envelope header.
The date and time the silo entry was last updated.
"2018-01-01T00:00:00.000Z"
Version of the latest envelope data.
"76f845c125"
Available envelope data versions, newest first.
Show child attributes
Show child attributes
Was this page helpful?